diff -Naur latencytest0.42-png/cpu_latency.c latencytest0.42-png+rl/cpu_latency.c
--- latencytest0.42-png/cpu_latency.c	1999-06-27 15:44:20.000000000 +0200
+++ latencytest0.42-png+rl/cpu_latency.c	2004-06-03 01:38:31.000000000 +0200
@@ -217,7 +217,7 @@
 	 * set the process to realtime privs
 	 */
         memset(&schp, 0, sizeof(schp));
-	schp.sched_priority = sched_get_priority_max(SCHED_FIFO);
+	schp.sched_priority = sched_get_priority_min(SCHED_FIFO)+1;
 
 	if (sched_setscheduler(0, SCHED_FIFO, &schp) != 0) {
 		perror("sched_setscheduler");
diff -Naur latencytest0.42-png/diskstress latencytest0.42-png+rl/diskstress
--- latencytest0.42-png/diskstress	1999-06-04 01:29:42.000000000 +0200
+++ latencytest0.42-png+rl/diskstress	2004-06-03 01:23:18.000000000 +0200
@@ -1,6 +1,8 @@
+export latdiskroot=.  # or path to other filesystem type (writeable)
+
 echo "creating tmpfile"
-head -c 60000000 /dev/zero >tmpfile
-echo "tmpfile creation done"
+head -c 60000000 /dev/zero >$latdiskroot/tmpfile
+echo "$latdiskroot/tmpfile creation done"
 echo "starting 4 find processes"
 find /usr >/dev/null 2>/dev/null &
 sleep 2
@@ -11,10 +13,13 @@
 find /home >/dev/null 2>/dev/null &
 sleep 2
 echo "find processes started"
-echo "copying tmpfile to tmpfile2"
-cp tmpfile tmpfile2
-echo "copying tmpfile and tmpfile2 to /dev/null"
-cat tmpfile tmpfile2 >/dev/null
+echo "copying $latdiskroot/tmpfile to $latdiskroot/tmpfile2"
+cp $latdiskroot/tmpfile $latdiskroot/tmpfile2
+echo "copying $latdiskroot/tmpfile and $latdiskroot/tmpfile2 to /dev/null"
+cat $latdiskroot/tmpfile $latdiskroot/tmpfile2 >/dev/null
 echo "copy done"
+echo "remove $latdiskroot/tmpfile and $latdiskroot/tmpfile2"
+rm $latdiskroot/tmpfile $latdiskroot/tmpfile2
+echo "remove done"
 killall find
 
diff -Naur latencytest0.42-png/do_tests latencytest0.42-png+rl/do_tests
--- latencytest0.42-png/do_tests	2000-07-25 11:37:58.000000000 +0200
+++ latencytest0.42-png+rl/do_tests	2004-06-03 01:37:12.000000000 +0200
@@ -1,3 +1,6 @@
+export latdiskroot=.  # or path to other filesystem type (writeable)
+
+mkdir html
 ./genhtml $2 $3 
 #echo "x11 stress ......................."
 ./latencytest $1 $2 $3 $4 >latency.out &
@@ -19,7 +22,6 @@
 sync
 sleep 4
 
-
 #echo "disk write stress ......................"
 ./latencytest $1 $2 $3 $4 >latency.out &
 ./stress_diskwrite $5
@@ -27,7 +29,7 @@
 sleep 1
 cat latency.out
 mv out.png html/$2x$3-diskwrite.png
-ls -la tmpfile*
+ls -la $latdiskroot/tmpfile*
 sync
 sleep 4
 
@@ -38,7 +40,7 @@
 sleep 1
 cat latency.out
 mv out.png html/$2x$3-diskcopy.png
-ls -la tmpfile*
+ls -la $latdiskroot/tmpfile*
 sync
 sleep 4
 
@@ -48,8 +50,18 @@
 killall latencytest 2>/dev/null
 sleep 1
 cat latency.out
-ls -la tmpfile*
+ls -la $latdiskroot/tmpfile*
 mv out.png html/$2x$3-diskread.png
 
-rm -f tmpfile tmpfile2
+#echo "disk rm stress ......................."
+./latencytest $1 $2 $3 $4 >latency.out &
+sleep 1
+rm -f $latdiskroot/tmpfile $latdiskroot/tmpfile2
+sleep 1
+sync; sync; sync;
+sleep 20
+killall latencytest 2>/dev/null
+sleep 1
+cat latency.out
+mv out.png html/$2x$3-diskrm.png
 
diff -Naur latencytest0.42-png/latencytest.c latencytest0.42-png+rl/latencytest.c
--- latencytest0.42-png/latencytest.c	2000-07-25 11:37:58.000000000 +0200
+++ latencytest0.42-png+rl/latencytest.c	2004-06-03 01:05:58.000000000 +0200
@@ -488,7 +488,7 @@
 	 * set the process to realtime privs
 	 */
         memset(&schp, 0, sizeof(schp));
-	schp.sched_priority = sched_get_priority_max(SCHED_FIFO);
+	schp.sched_priority = sched_get_priority_min(SCHED_FIFO)+1;
 
 	if (sched_setscheduler(0, SCHED_FIFO, &schp) != 0) {
 		perror("sched_setscheduler");
diff -Naur latencytest0.42-png/stress_diskcopy latencytest0.42-png+rl/stress_diskcopy
--- latencytest0.42-png/stress_diskcopy	1999-06-04 01:29:42.000000000 +0200
+++ latencytest0.42-png+rl/stress_diskcopy	2004-06-03 00:38:33.000000000 +0200
@@ -1 +1 @@
-cp tmpfile tmpfile2
+cp $latdiskroot/tmpfile $latdiskroot/tmpfile2
diff -Naur latencytest0.42-png/stress_diskread latencytest0.42-png+rl/stress_diskread
--- latencytest0.42-png/stress_diskread	1999-06-05 17:09:21.000000000 +0200
+++ latencytest0.42-png+rl/stress_diskread	2004-06-03 00:38:58.000000000 +0200
@@ -1 +1 @@
-cat tmpfile tmpfile2 >/dev/null
+cat $latdiskroot/tmpfile $latdiskroot/tmpfile2 >/dev/null
diff -Naur latencytest0.42-png/stress_diskwrite latencytest0.42-png+rl/stress_diskwrite
--- latencytest0.42-png/stress_diskwrite	1999-06-06 14:54:10.000000000 +0200
+++ latencytest0.42-png+rl/stress_diskwrite	2004-06-03 00:38:08.000000000 +0200
@@ -1,2 +1,2 @@
-head -c $1 /dev/zero >tmpfile
+head -c $1 /dev/zero >$latdiskroot/tmpfile
 
diff -Naur latencytest0.42-png/template.html latencytest0.42-png+rl/template.html
--- latencytest0.42-png/template.html	2000-07-25 11:37:58.000000000 +0200
+++ latencytest0.42-png+rl/template.html	2004-06-03 00:09:46.000000000 +0200
@@ -95,6 +95,16 @@
 <BR>
 <BR>
 
+<FONT SIZE=+3>
+file removal stress
+</FONT>
+<BR>
+<BR>
+<IMG SRC=_filelabel_-diskrm.png>
+<BR>
+<BR>
+<BR>
+
 </BODY>
 </HTML>
 
diff -Naur latencytest0.42-png/template2.html latencytest0.42-png+rl/template2.html
--- latencytest0.42-png/template2.html	2000-07-25 11:37:58.000000000 +0200
+++ latencytest0.42-png+rl/template2.html	2004-06-03 00:12:34.000000000 +0200
@@ -97,6 +97,16 @@
 <BR>
 <BR>
 
+<FONT SIZE=+3>
+file removal stress
+</FONT>
+<BR>
+<BR>
+<IMG SRC=_filelabel_-diskrm.png>
+<BR>
+<BR>
+<BR>
+
 </BODY>
 </HTML>
 
